<?php 
session_start();
$filtro='';
if ($_GET['fsucursal']=="0") {
	$_SESSION['fsucursal']=""; 
} else {
	if ($_GET['fsucursal']<>""){
		$_SESSION['fsucursal']=$_GET['fsucursal'];
		$fsucursal=$_SESSION['fsucursal'];
		$filtro=' WHERE Idsucursal="'.$fsucursal.'" ';
	} else {
		if ($_SESSION['fsucursal']<>""){$fsucursal=$_SESSION['fsucursal']; $filtro=' WHERE Idsucursal="'.$fsucursal.'" ';}
	}		
}
if (!$_SESSION['login']) {header("Location: index.php");}
require_once('utilesphp/sql_oop.php'); //conexion a base de datos
include('utilesphp/utiles.php');
include('class/class.php');

if (isset($_GET['modifica']) AND ($_GET['modifica']=='si') AND isset($_GET['Idtraspaso']) AND ($_GET['Idtraspaso']<>'')) {
	if (isset($_GET['name']) AND ($_GET['name']<>'') AND isset($_GET['value']) AND ($_GET['value']<>'')) {
		$updt=$mysqli->query('UPDATE traspasos SET '.$_GET['name'].'="'.$_GET['value'].'" WHERE Idtraspaso="'.$_GET['Idtraspaso'].'"');
		$informacion='Dato del insumo '.$_GET['codigo'].' ha sido actualizado';
	}
}
if (isset($_GET['a']) AND ($_GET['a']=='a') AND isset($_GET['Idtraspaso']) AND ($_GET['Idtraspaso']<>'') AND ($admin)) {
	$updt=$mysqli->query('UPDATE traspasos SET nula="si" WHERE Idtraspaso="'.$_GET['Idtraspaso'].'" LIMIT 1');
	$informacion='Compra '.$_GET['tipodoc'].' Nro. '.$_GET['ndoc'].' ha sido anulada';
}
if (isset($_GET['e']) AND ($_GET['e']=='e') AND isset($_GET['Idtraspaso']) AND ($_GET['Idtraspaso']<>'') AND ($admin)) {
	$updt=$mysqli->query('DELETE FROM traspasos WHERE Idtraspaso="'.$_GET['Idtraspaso'].'" LIMIT 1');
	$informacion='Compra '.$_GET['tipodoc'].' Nro. '.$_GET['ndoc'].' ha sido eliminada';
}
if (isset($_GET['r']) AND ($_GET['r']=='r') AND isset($_GET['Idtraspaso']) AND ($_GET['Idtraspaso']<>'') AND ($admin)) {
	$updt=$mysqli->query('UPDATE traspasos SET nula="no" WHERE Idtraspaso="'.$_GET['Idtraspaso'].'" LIMIT 1');
	$informacion='Compra '.$_GET['tipodoc'].' Nro. '.$_GET['ndoc'].' ha sido anulada';
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="css/estilos.css">
<title><?php echo $titulopagina; ?></title>
</head>
<script type="text/javascript" src="ajax/creaajax.js"> </script>
<script type="text/javascript" src="utilesjs/funciones.js" charset="iso-8859-1"> </script>
<script language="javascript">
function modificardato(codigo,name,value) {
	if (newvalue=prompt('Por favor ingresa un(a) nuevo(a) '+name,value)) {
		grabando();
		location.href='movimientos-ventas.php?modifica=si&codigo='+codigo+'&name='+name+'&value='+newvalue;
	} else {return;}
}
function eliminarsalida(Idtraspaso, tipodoc, ndoc, cliente) {
	if (confirm('Realmente quieres eliminar '+tipodoc+' nro '+ndoc+' de '+cliente+'?')) {
		grabando();
		location.href='movimientos-traspasos.php?e=e&Idtraspaso='+Idtraspaso;}
}
function anularsalida(Idtraspaso, tipodoc, ndoc, cliente) {
	if (confirm('Realmente quieres anular '+tipodoc+' nro '+ndoc+' de '+cliente+'?')) {
		grabando();
		location.href='movimientos-traspasos.php?a=a&Idtraspaso='+Idtraspaso;}
}
function revalidarsalida(Idtraspaso, tipodoc, ndoc, cliente) {
	if (confirm('Realmente quieres revalidar '+tipodoc+' nro '+ndoc+' de '+cliente+'?')) {
		grabando();
		location.href='movimientos-traspasos.php?r=r&Idtraspaso='+Idtraspaso;}
}
function calculartotal(){
	document.forms.formagrega.totalventa.value=parseInt(document.forms.formagrega.netoventa.value)+parseInt(document.forms.formagrega.impuestoventa.value);
}

</script>
<body>
<?php echo $_SESSION['filtrosucursal']; ?>
<div class="div_cubierto" id="cubierto" style=" <?php echo ($_GET['i']=='i')? 'display:block' : 'display:none'; ?> " ></div>
<div class="div_cargando" id="cargando"></div>

<div class="logo"><img src="grafica/logo.png" /></div>
<div class="btn_cerrar"><a href="salidausuario.php" title="salir del sistema"><img src="iconos/salir48.png" /></a></div>

<div class="n_agreganuevo" style=" <?php echo ($_GET['i']=='i')? 'display:block' : 'display:none'; ?>" id="formagrega">
<form name="formagrega" action="funcionesphp/agregartraspaso.php" method="get">
<input type="hidden" name="sucursal" value="<?php echo $_SESSION['sucursal']; ?>"/>
    <div class="bold" id="datoamodificar" style="padding:10px; text-align:center">Ingresar nuevo despacho a sucursal</div>
    <table cellpadding="0px" cellspacing="0px" width="100%">
    	<tr>
        	<td colspan="2" height="15px"></td>
        </tr>
	   	<tr>
        	<td nowrap="nowrap">Fecha</td>
        	<td ><input type="text" name="dia" value="<?php echo date("d"); ?>" placeholder="dia" class="superangosto"/> / <input type="text" name="mes" value="<?php echo date("m"); ?>" placeholder="mes" class="superangosto"/> / <input type="text" name="anno" placeholder="a&ntilde;o" value="<?php echo date("Y"); ?>" class="angosto"/></td>
        </tr>
    	<tr>
        	<td nowrap="nowrap">Sucursal</td>
        	<td ><select name="Idsucursal" ><?php echo optionsucursales($mysqli); ?></select></td>
        </tr>
    	<tr>
        	<td colspan="2" height="15px"></td>
        </tr>
    	<tr>
        	<td colspan="2"><div align="center" id="grabarnuevoproducto">
    		<a href="#" onclick="javascript:grabando();document.forms.formagrega.submit();"><img src="iconos/guardar32.png" border="0px" title="grabar venta"/></a>&nbsp;&nbsp;&nbsp;
    		<a href="#" onclick="javascript:descubrirtodo();document.getElementById('formagrega').style.display='none'"><img src="iconos/cerrar32.png" border="0px" title="salir sin cambios"/></a>
            </div>
            </td>
        </tr>
    	<tr>
        	<td colspan="2" height="15px">
            </td>
        </tr>
    </table>
</form>
</div>

<div class="div_caja_titulo">
	<span class="bold">Despachos a sucursal</span>
    <span class="iconos-holder"><a href="#" onclick="cargando(); location.href='menu-matriz.php'" class="n_link_basico" title="Volver al menu principal"><img src="iconos/home32.png" height="24"/></a></span>
    <span class="iconos-holder"><a href="#" onclick="cubrirtodo(); document.getElementById('formagrega').style.display='block';" class="n_link_basico" title="Agregar venta"><img src="iconos/agregar32.png" /></a></span>
    <span class="iconos-holder"><a href="#" onclick="window.print();" class="n_link_basico" title="Imprimir listado"><img src="iconos/imprimir32.png" /></a></span>    
</div>

<div class="centrar_tabla">
<form action="movimientos-traspasos.php" method="get" name="filtrarcliente">
<span class="tips">Se muestran los ultimos 50 despachos / Filtrar por sucursal: <select name="fsucursal" onchange="cargando(); submit();"><option value="0">Todas las sucursales</option><?php echo optionsucursales($mysqli,$fsucursal);?></select></span>
</form>
	<table>
    <thead>
	   	<tr>
        	<th>Fecha</th>
            <th>Sucursal</th>
            <th>Total</th>
<?php if ($admin) { ?>
            <th>Costo</th>
<?php } ?>
            <th>Opciones</th>
        </tr>
     </thead>
     <tbody>
<?php
$traspasos=$mysqli->query('SELECT * FROM traspasos '.$filtro.' ORDER BY fecha DESC LIMIT 50');
$row=$traspasos->fetch_array();
if ($traspasos->num_rows==0) {
?>
	<tr><td colspan="9">No existen despachos a sucursal</td></tr>
<?php
} else { 
do {
	$Idtraspaso=$row['Idtraspaso'];
	$estetraspaso=new traspaso($mysqli,$Idtraspaso);
	$estasucursal=new sucursal($mysqli,$row['Idsucursal']);
?>
        <tr style="border-top:1px solid #999; <?php echo ($row['nula']=="si")? 'color:#999;':''; ?>">
        	<td><?php echo afecha($estetraspaso->fecha); ?></td>
            <td><?php echo $estasucursal->descripcion; ?></td>
            <td><?php echo '$ '.apesos($estetraspaso->totaltraspaso()); ?></td>
<?php if ($admin) { ?>
            <td><?php echo '$ '.apesos($estetraspaso->costotraspaso()); ?></td>
<?php } ?>
    		<td><a href="#" onclick="cargando(); location.href='movimientos-traspasos-detalle.php?Idtraspaso=<?php echo $Idtraspaso; ?>'" class="n_link_basico" title="ver detalle"><img src="iconos/modificar16.png" /></a></td>
        </tr>
<?php
} while ($row=$traspasos->fetch_array());
}
if ($traspasos) {
    $traspasos->free();
}
?>
	</tbody>
    </table>
    
</div>
</body>
</html>